I am getting this error when i build android app. What is wrong?

Android SDK does not include any platforms! Did you run Android SDK setup to install the platform(s)? Minimum platform required for build is Android 2.2 (API level 8)

I have SDK r7 installed. I am able to make and build apps in eclipse.

Open Your SDK Manager click on Installed packages then Update All.